## Int
Integer data type

### Declaration
```glsl
int aInt = 42;
int bInt = int(aBool);
int cInt = int(aFloat);
```

### Description
```int``` is used for integer values.

### See Also
[void](/glossary/?search=void), [bool](/glossary/?search=bool), [int](/glossary/?search=int), [float](/glossary/?search=float), [ivec2](/glossary/?search=ivec2), [ivec3](/glossary/?search=ivec3), [ivec4](/glossary/?search=ivec4)
